<?php
    $json = file_get_contents('php://input');   
    $obj = json_decode($json);
    // Returns a Json
    header('Content-Type: application/json');
    header('Cache-Control: no-cache, must-revalidate');
    
    $conn = new mysqli("directoriofitness.com.mx", "direct18", "L4LL4v3M@3str@","direct18_ProGymWorkout");
    $conn -> set_charset("utf8");
    
    $query = "INSERT INTO registro_entrenamientos(idprograma, num_sesion, fecha_entrenamiento, calificacion) 
        VALUES($obj->id_p, $obj->no_sesion, NOW(), $obj->calificacion);";
    
    if($conn->query($query) == TRUE) {
    
        // PRIMERO VAMOS A OBTENER EL OBJETIVO DEL PROGRAMA
        $query = "SELECT programas.idobjetivo AS id_o, programas.idGym FROM programas WHERE programas.idprograma = $obj->id_p LIMIT 1;";
        $resultado = $conn->query($query);
        
        if($resultado && $resultado->num_rows > 0){
            $row = $resultado->fetch_assoc();
            $id_o = $row["id_o"];
            $idGym = $row["idGym"];
        } else {
            echo "error: programa no encontrado";
            $conn->close();
            exit;
        }
        
        // AHORA VAMOS A TRAER EL TOTAL DE SESIONES PERMITIDAS
        $query = "SELECT obj_nosesiones AS limite_sesiones FROM objetivos WHERE objetivos.idobjetivo = $id_o AND idGym = $idGym LIMIT 1;";
        $resultado = $conn->query($query);
        
        if ($resultado && $resultado->num_rows > 0) {
            $row = $resultado->fetch_assoc();
            $limite_sesiones = intval($row["limite_sesiones"]);
        } else {
            echo "error: objetivo no encontrado";
            $conn->close();
            exit;
        }
        
        // CONTAR CUÁNTAS SESIONES TOTALES HA COMPLETADO EL CLIENTE
        $query = "SELECT COUNT(*) AS 'total' FROM registro_entrenamientos WHERE idprograma = $obj->id_p;";
        $resultado = $conn->query($query);
        $row = $resultado->fetch_assoc();
        $sesiones_completadas = intval($row["total"]);
        
        // CON LOS DATOS NECESARIOS VALIDAMOS SI EL CLIENTE YA FINALIZÓ EL ENTRENAMIENTO
        if($sesiones_completadas >= $limite_sesiones){
            $query = "UPDATE programas SET borrado = 2 WHERE programas.idprograma = $obj->id_p;";
            if($conn->query($query) == TRUE){
                echo '1';
            }else{
                echo 'error 2: ' . $conn->error;
            }
        }else{
            echo '1';
        }
    }else{
        echo 'error 1: ' . $conn->error;
    }
    
    $conn->close();
?>